# palettes.h File Reference

The colour translation of the GRF palettes. More...

`#include "../core/endian_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | ExtraPaletteValues
| Description of tables for the palette animation. More...
struct | StringColour
## Defines
#define | M(r, g, b) { 0xff << 24 | (r) << 16 | (g) << 8 | (b) }
#define | GET_PALETTE(x) _palettes[x]
## Enumerations
enum | { EPV_CYCLES_DARK_WATER = 5, EPV_CYCLES_LIGHTHOUSE = 4, EPV_CYCLES_OIL_REFINERY = 7, EPV_CYCLES_FIZZY_DRINK = 5, EPV_CYCLES_GLITTER_WATER = 15 }
| Description of the length of the palette cycle animations. More...
## Variables
static const Colour | _palettes [][256]
static const ExtraPaletteValues | _extra_palette_values
| Actual palette animation tables.
static const StringColour | _string_colourmap [][17]

## Detailed Description

The colour translation of the GRF palettes.

Definition in file palettes.h.

## Enumeration Type Documentation

anonymous enum

Description of the length of the palette cycle animations.

Enumerator:

  EPV_CYCLES_DARK_WATER | length of the dark blue water animation
  EPV_CYCLES_LIGHTHOUSE | length of the lighthouse/stadium animation
  EPV_CYCLES_OIL_REFINERY | length of the oil refinery's fire animation
  EPV_CYCLES_FIZZY_DRINK | length of the fizzy drinks animation
  EPV_CYCLES_GLITTER_WATER | length of the glittery water animation

Definition at line 157 of file palettes.h.